/*
	Copyright (C) 2003 Frdric Giudicelli (contact_nos@yahoo.com). 
	All rights reserved.

	This product includes cryptographic software written by Eric Young
	(eay@cryptsoft.com)

	This program is released under the GPL with the additional exemption that
	compiling, linking, and/or using OpenSSL is allowed.

	This program is free software; you can redistribute it and/or modify it
	under the terms of the GNU General Public License as published by the Free
	Software Foundation; either version 2 of the License.

	This program is distributed in the hope that it will be useful, but WITHOUT
	ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
	FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
	more details.

	You should have received a copy of the GNU General Public License along with
	this program; if not, write to the Free Software Foundation, Inc., 59 Temple
	Place, Suite 330, Boston, MA 02111-1307 USA
*/



#include "Entity_REPOSITORY_ASN1.h"


ASN1_SEQUENCE(LOCAL_REPOSITORY_CONF) = {
	ASN1_SIMPLE(LOCAL_REPOSITORY_CONF, conf, ENTITY_CONF_CRYPTED),
	ASN1_SIMPLE(LOCAL_REPOSITORY_CONF, cas, INTERNAL_PKI_CA),
}ASN1_SEQUENCE_END(LOCAL_REPOSITORY_CONF)
IMPLEMENT_ASN1_FUNCTIONS(LOCAL_REPOSITORY_CONF)
IMPLEMENT_ASN1_ENCRYPT_SIGN(LOCAL_REPOSITORY_CONF)


