/*
	Copyright (C) 2003 Frdric Giudicelli (contact_nos@yahoo.com). 
	All rights reserved.

	This product includes cryptographic software written by Eric Young
	(eay@cryptsoft.com)

	This program is released under the GPL with the additional exemption that
	compiling, linking, and/or using OpenSSL is allowed.

	This program is free software; you can redistribute it and/or modify it
	under the terms of the GNU General Public License as published by the Free
	Software Foundation; either version 2 of the License.

	This program is distributed in the hope that it will be useful, but WITHOUT
	ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
	FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
	more details.

	You should have received a copy of the GNU General Public License along with
	this program; if not, write to the Free Software Foundation, Inc., 59 Temple
	Place, Suite 330, Boston, MA 02111-1307 USA
*/



#include "Entity_CA_ASN1.h"



ASN1_SEQUENCE(LOCAL_CA_CONF) = {
	ASN1_EXP(LOCAL_CA_CONF, conf, ENTITY_CONF_CRYPTED, 0),
	ASN1_EXP(LOCAL_CA_CONF, cas, INTERNAL_PKI_CA, 1),
	ASN1_EXP_OPT(LOCAL_CA_CONF, privkey, INTERNAL_CA_KEY, 6),
	ASN1_EXP_SEQUENCE_OF(LOCAL_CA_CONF, parentCerts, X509, 7),
}ASN1_SEQUENCE_END(LOCAL_CA_CONF)
IMPLEMENT_ASN1_FUNCTIONS(LOCAL_CA_CONF)
IMPLEMENT_ASN1_ENCRYPT_SIGN(LOCAL_CA_CONF)
//We save temporally the CA(not entity) private key, it will latter be 
//removed once we receive the CA(not entity) certificate

